List payment accounts
curl --request GET \
--url https://api.fernhq.com/payment-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fernhq.com/payment-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fernhq.com/payment-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentAccounts": [
{
"paymentAccountId": "11111111-2222-3333-4444-555555555555",
"paymentAccountType": "EXTERNAL_BANK_ACCOUNT",
"nickname": "Operating Account",
"createdAt": "2025-10-30T12:00:00Z",
"customerId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"paymentAccountStatus": "ACTIVE",
"externalBankAccount": {
"bankAccountType": "CHECKING",
"bankAccountOwnerName": "Acme Corp",
"bankAccountOwnerEmail": "finance@acme.com",
"bankName": "Chase Bank",
"bankAccountCurrency": {
"label": "USD"
},
"bankAccountMask": "***6789",
"bankAccountPaymentMethod": "ACH"
},
"isThirdParty": false
},
{
"paymentAccountId": "",
"paymentAccountType": "EXTERNAL_BANK_ACCOUNT",
"nickname": "Operating Account",
"customerId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
"paymentAccountStatus": "PENDING",
"isThirdParty": false,
"bankAccountFormLink": "https://forms.fernhq.com/payment-account/11111111-80fa-465f-8b95-040a6c6b7470"
},
{
"paymentAccountId": "33333333-4444-5555-6666-777777777777",
"paymentAccountType": "FERN_AUTO_FIAT_ACCOUNT",
"nickname": "Auto Float",
"createdAt": "2025-10-30T12:02:00Z",
"customerId": "99999999-aaaa-bbbb-cccc-dddddddddddd",
"paymentAccountStatus": "ACTIVE",
"fernAutoFiatAccount": {
"currency": {
"label": "USD"
},
"supportedDestinationCurrencies": [
{
"label": "USDC"
}
]
},
"isThirdParty": false
},
{
"paymentAccountId": "44444444-5555-6666-7777-888888888888",
"paymentAccountType": "EXTERNAL_CRYPTO_WALLET",
"nickname": "Treasury Wallet",
"createdAt": "2025-10-30T12:03:00Z",
"customerId": "bbbbbbbb-cccc-dddd-eeee-ffffffffffff",
"paymentAccountStatus": "ACTIVE",
"externalCryptoWallet": {
"currency": {
"label": "USDC",
"chain": "ETHEREUM",
"contractAddress": "0x123456789abcd123456789abcd123456789abcd",
"currencyDecimals": 18
},
"address": {
"address": "0x5C1F15c77F0cC123456789abcd123456789aBcDe",
"chain": "ETHEREUM"
}
},
"isThirdParty": false
},
{
"paymentAccountId": "55555555-6666-7777-8888-999999999999",
"paymentAccountType": "FERN_CRYPTO_WALLET",
"nickname": "Managed Wallet",
"createdAt": "2025-10-30T12:04:00Z",
"customerId": "12121212-3434-5656-7878-909090909090",
"paymentAccountStatus": "ACTIVE",
"fernCryptoWallet": {
"cryptoWalletType": "EVM",
"address": {
"address": "0x9A1F15c77F0cC123456789abcd123456789aBcDe",
"chain": "ETHEREUM"
}
},
"isThirdParty": false
}
],
"nextPageToken": "xyz"
}List payment accounts
List all payment accounts
GET
/
payment-accounts
List payment accounts
Authorizations
To authenticate server-side requests
Query Parameters
Token for forward pagination
Number of items per page (default: 10, max: 100)
Required range:
x >= 1Customer to list payment accounts for
Was this page helpful?
⌘I